Subject: Re: Case sensitivity in filenames
From: [email-masked] (Corinna Vinschen)

7 Jan 1999 00:58:25 -0800
Message-ID: <[email-masked]>
References: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Transfer-Encoding: 7bit
To: [email-masked]

[As example] Bernard Dautrevaux wrote:
> I fully agree; a lot of people need to WORK on Windows, and need
> powerfull tools that often comes from UNIX; helping to port those on
> Windows, as I think is the objective of CygWin, needs to be (to
> paraphrase Stroustrup when describing the rationale for C++ design
> decision) as close as possible to UNIX, but not more.
> 
> Letting CygWin think that NTFS is case-sensitive is to be too close to
> UNIX, as this is a false assumption. Its a lot better to have CygWin be
> case-preserving but case insensitive as soon as a filename is concerned.

I completely disagree.

If I have understand this right:

Cygwin is a emulation layer, to support porting of UNIX Tools with a minimum
of change. This implies, that the emulation layer should behave as near to
UNIX as it's possible. IMHO, there is absolutely no need in cramming this
layer with a complex interface, only because people are not willing, to learn
another syntax.

If somebody want's tools with the user interface, but not with the other
features of UNIXish interface, he/she should use _native_ ports. Lot of them
exist. Why demanding this of cygwin, which is designed for another goal?

Regards,
Corinna

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".